#ifndef __GFX_H__
#define __GFX_H__
#include "gpgraphic.h"

#define HARDWARE_PALETTE ((dword *)0x14A00400)

ubyte *allocate_mem(size_t amount);
long random_nr(long range);
void randomize(void);
void init_gfx(void);
void clear_screen(ubyte *mem, unsigned long value);
void copy_screen(ubyte *dest, ubyte *source);
void set_palette(ubyte *pal);
void put_pixel(short x, short y, unsigned char color, ubyte *mem);
void load_font(char *filename, char nr);
void put_pob(short xpos, short ypos, short n, ubyte *data, ubyte *dest);
void load_pobs(char *filename, ubyte *dest);
void fade_out(int speed);
void palette_backup(unsigned int *PaletteBackup);
void palette_restore(unsigned int *PaletteBackup);

extern GPDRAWSURFACE gpDraw[2];
extern short ACTIVE_SURFACE;

#endif